COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF

COMMENT ** Analysis **

OPEN Employee_Master
DEFINE FIELD c_Format_Tax_ID COMPUTED Format( TaxID )
CLASSIFY ON  c_Format_Tax_ID AS 'c_Format_Tax_ID' TOP ALL

DEFINE FIELD c_Tax_ID COMPUTED Include( TaxID , "0~9")
SET FILTER TO Length( Alltrim(c_Tax_ID)) <> 9
COUNT

DEFINE FIELD c_Tax_ID_Formatted COMPUTED Insert( Insert( c_Tax_ID , "-", 6) , "-", 4)
