COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF

COMMENT ** Analysis **

OPEN Purchase_Cards_Transactions
SET FILTER TO ListFind( "Text_Files_\Restricted_Keywords_PCard.txt", MCC_Description)

DEFINE FIELD c_Suspicious_Words COMPUTED WordFind( "Text_Files_\Restricted_Keywords_PCard.txt", MCC_Description)

EXTRACT FIELDS Transaction_ID WIDTH 12 Card_Number WIDTH 16 Transaction_Date WIDTH 14 Transaction_Amount WIDTH 17 Vendor_Name WIDTH 30 Vendor_State_Province WIDTH 19 c_Suspicious_Words WIDTH 17 MCC_Description WIDTH 30 TO "PCard_Keyword_Exceptions"

OPEN PCard_Keyword_Exceptions
