COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF
CLOSE PRIMARY ALL

COMMENT ** Analysis **

OPEN Invoice_Line_Items
DEFINE FIELD c_Invoice_Month COMPUTED Cmon( Invoice_Date , 3)
CROSSTAB ON Vendor_Number COLUMNS c_Invoice_Month ACCUMULATE Amount TO "ILI_Crosstab_By_Vendor_Month" OPEN
OPEN ILI_Crosstab_By_Vendor_Month

COMMENT ** Highest vendor total per month

OPEN Invoice_Line_Items
SUMMARIZE ON Vendor_Number c_Invoice_Month FIELDS Amount SUMMTYPE SUM AS 'SUM_Amount'  PRESORT TO "ILI_Vendor_Month_Summary"
OPEN ILI_Vendor_Month_Summary

SUMMARIZE ON c_Invoice_Month FIELDS SUM_Amount SUMMTYPE MAX AS 'MAX_SUM_Amount' PRESORT TO "ILI_Highest_Month" OPEN
OPEN ILI_Highest_Month
