COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF
CLOSE PRIMARY ALL

COMMENT ** Analysis **

COMMENT ** Prepare the Receiving table by creating a computed field to harmonize the Product_Number and summarizing to remove duplicates

OPEN Receiving
DEFINE FIELD c_Receiving_Product_Number COMPUTED Upper(Alltrim(Product_Number)) + Blanks(2)
SUMMARIZE ON PO_Number c_Receiving_Product_Number FIELDS Vendor_Number SUMMTYPE FIRST AS 'FIRST_Vendor_Number' Receive_Quantity SUMMTYPE SUM AS 'SUM_Receive_Quantity' Receive_Date SUMMTYPE FIRST AS 'FIRST_Receive_Date' PRESORT TO "Receiving_Summary"

COMMENT ** Prepare the Purchase_Orders table by creating a computed field to harmonize the Product_Number

OPEN Purchase_Orders
DEFINE FIELD c_PO_Product_Number COMPUTED Upper(Alltrim(Product_Number))

COMMENT
Join (Matched primary and all secondary records) the Purchase_Orders and Receiving_Summary tables on PO_Number
and computed Product_Number fields
END

OPEN Purchase_Orders
OPEN Receiving_Summary SECONDARY
JOIN SECONDARY PKEY PO_Number c_PO_Product_Number FIELDS ALL SKEY PO_Number c_Receiving_Product_Number WITH ALL TO "Purchase_Orders_Join_Receiving_PO_Number_Product_Number" PRESORT SECSORT

OPEN Purchase_Orders_Join_Receiving_PO_Number_Product_Number
