COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF

COMMENT ** Analysis **

ACCEPT "Please enter your first name:" TO v_fname

ACCEPT "Select the table to analyze:" FIELDS "xf" TO v_table
OPEN %v_table%

ACCEPT "Select the date field to filter:" FIELDS "D" TO v_date_field

ACCEPT "Enter the start date (YYYYMMDD):" TO v_start_date_char "Enter the end date (YYYYMMDD):" TO v_end_date_char

EXTRACT RECORD IF Between( %v_date_field%, `%v_start_date_char%`, `%v_end_date_char%`) TO %v_table%_%v_date_field%_%v_start_date_char%_%v_end_date_char%

OPEN %v_table%_%v_date_field%_%v_start_date_char%_%v_end_date_char%

COMMENT ** Clean up

DELETE ALL LIKE "v_" OK
