COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF
SET DATE "YYYYMMDD"

COMMENT ** Analysis **

DIALOG (DIALOG TITLE "Extract Date Range" WIDTH 467 HEIGHT 272 ) (BUTTONSET TITLE "&OK;&Cancel" AT 264 204 DEFAULT 1 HORZ ) (TEXT TITLE "Select the table to analyze:" AT 12 12 ) (ITEM TITLE "f" TO "v_table" AT 12 34 WIDTH 280 DEFAULT "" OPEN ) (TEXT TITLE "Select the date field:" AT 12 72 ) (TEXT TITLE "Enter start date" AT 12 132 ) (EDIT TO "v_start_date" AT 12 154 WIDTH 170 DATE ) (TEXT TITLE "Enter end date" AT 252 132 ) (EDIT TO "v_end_date" AT 252 154 WIDTH 168 DATE ) (ITEM TITLE "D" TO "v_date_field" AT 12 94 WIDTH 273 DEFAULT "" )

ASSIGN v_start_date_char = Date(v_start_date)

ASSIGN v_end_date_char = Date(v_end_date)

EXTRACT RECORD IF Between( %v_date_field%, v_start_date, v_end_date) TO %v_table%_%v_date_field%_%v_start_date_char%_%v_end_date_char%

OPEN %v_table%_%v_date_field%_%v_start_date_char%_%v_end_date_char%

COMMENT ** Clean up

DELETE ALL LIKE "v_" OK
