COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF
SET TEMP "Temp_"

COMMENT ** Analysis **

OPEN Travel_Entertainment_Expenses
CLASSIFY ON Expense_Type TO Temp_expense_types

OPEN Temp_expense_types
SAVE FIELD Expense_Type TO va_expense_types

DIALOG (DIALOG TITLE "User Dialog" WIDTH 463 HEIGHT 186 ) (BUTTONSET TITLE "&OK;&Cancel" AT 276 144 DEFAULT 1 HORZ ) (TEXT TITLE "Select the expense types to analyze. Hold CTRL to select multiple types." AT 12 12 WIDTH 212 HEIGHT 33 ) (DROPDOWN TITLE va_expense_types TO "va_types" AT 12 46 WIDTH 212 HEIGHT 123 MULTI )

OPEN Travel_Entertainment_Expenses

EXTRACT RECORD TO "TE_Selected_Expenses" IF Match( Expense_Type, va_types)

OPEN TE_Selected_Expenses

COMMENT ** Clean Up **

DELETE TEMP OK
DELETE ALL LIKE "v_" OK

