COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF

COMMENT ** Analysis **

OPEN Payables2023

DIALOG (DIALOG TITLE "Payables Top Values" WIDTH 463 HEIGHT 186 ) (BUTTONSET TITLE "&OK;&Cancel" AT 288 144 DEFAULT 1 HORZ ) (TEXT TITLE "Choose the number of Vendors to include in the result:" AT 12 12 ) (RADIOBUTTON TITLE "10;20;50;All" TO "v_TopN" AT 24 34 DEFAULT 1 HORZ ) (CHECKBOX TITLE "Check the box to include statistics per Vendor in the result." TO "v_Statistics" AT 12 83 )

IF v_TopN = 1 ASSIGN v_Top = "10"
IF v_TopN = 2 ASSIGN v_Top = "20"
IF v_TopN = 3 ASSIGN v_Top = "50"
IF v_TopN = 4 ASSIGN v_Top = "ALL"

IF v_Statistics = T ASSIGN v_Stats = "STATISTICS"
IF v_Statistics = F ASSIGN v_Stats = ""

CLASSIFY ON Vendor_Number ACCUMULATE Invoice_Amount TO "Payables_Top_%v_Top%_Vendors" TOP %v_top% %v_Stats%

OPEN "Payables_Top_%v_Top%_Vendors"

COMMENT ** Clean up

DELETE ALL EXCEPT "_v" OK
