COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF

COMMENT ** Analysis **

OPEN Receiving
DEFINE FIELD c_Receiving_Product_Number COMPUTED Upper( Alltrim(Product_Number) ) + Blanks( 2)
SET FILTER TO Format( PO_Number ) <> "XX-999999"
COUNT
SET FILTER
DUPLICATES ON PO_Number c_Receiving_Product_Number PRESORT

SUMMARIZE ON PO_Number c_Receiving_Product_Number FIELDS Receive_Quantity SUMMTYPE SUM AS 'SUM_Receive_Quantity' Vendor_Number SUMMTYPE FIRST AS 'FIRST_Vendor_Number' Receive_Date SUMMTYPE FIRST AS 'FIRST_Receive_Date' PRESORT TO "Receiving_Summary"

OPEN Purchase_Orders
DEFINE FIELD c_PO_Product_Number COMPUTED Upper( Alltrim( Product_Number) )
SET FILTER TO Format( PO_Number ) <> "XX-999999"
COUNT
SET FILTER
DUPLICATES ON PO_Number c_PO_Product_Number PRESORT

OPEN Receiving_Summary SECONDARY
JOIN PKEY PO_Number c_PO_Product_Number FIELDS ALL SKEY PO_Number c_Receiving_Product_Number WITH ALL TO "Purchase_Orders_Join_Receiving_PO_Number_Product_Number" PRESORT SECSORT

OPEN Purchase_Orders_Join_Receiving_PO_Number_Product_Number
