COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF

COMMENT ** Analysis **

DIALOG (DIALOG TITLE "Extract records above threshold value" WIDTH 467 HEIGHT 272 ) (BUTTONSET TITLE "&OK;&Cancel" AT 276 228 DEFAULT 1 HORZ ) (TEXT TITLE "Select the table to analyze:" AT 12 12 ) (ITEM TITLE "f" TO "v_table" AT 12 34 WIDTH 280 DEFAULT "" OPEN ) (TEXT TITLE "Select the numeric field:" AT 12 72 ) (TEXT TITLE "Enter the threshold value" AT 12 132 ) (EDIT TO "v_threshold" AT 12 154 WIDTH 170 DEFAULT "1000" NUM ) (ITEM TITLE "N" TO "v_num_field" AT 12 94 WIDTH 279 DEFAULT "" )

ASSIGN v_threshold_char = Alltrim(String( %v_threshold%, 10))

EXTRACT RECORD IF %v_num_field% > v_threshold TO %v_table%_%v_num_field%_Over_%v_threshold_char%

OPEN %v_table%_%v_num_field%_Over_%v_threshold_char%

COMMENT ** Clean up **

DELETE ALL OK
