COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF

COMMENT ** Analysis **

OPEN Employee_Master
DEFINE FIELD c_Format_Phone COMPUTED Format( PhoneNo )
CLASSIFY ON  c_Format_Phone AS 'c_Format_Phone' TOP ALL

DEFINE FIELD c_Phone_Number COMPUTED Include( PhoneNo , "0~9")
SET FILTER TO Length( Alltrim(c_Phone_Number)) <> 10
COUNT

DEFINE FIELD c_Phone_Formatted COMPUTED Insert( Insert( c_Phone_Number , "-", 7) , "-", 4)
