COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF

COMMENT ** Analysis **

OPEN Travel_Entertainment_Expenses
SET FILTER TO ListFind("Text_Files_\Restricted_Keywords_Travel.txt" , Comments)
DEFINE FIELD c_Suspicious_Words COMPUTED WordFind("Text_Files_\Restricted_Keywords_Travel.txt" , Comments)

EXTRACT FIELDS Entry_Key WIDTH 8 Merchant_ID WIDTH 10 Merchant_Name WIDTH 27 Employee_ID WIDTH 11 Employee WIDTH 17 Expense_Date WIDTH 12 c_Suspicious_Words WIDTH 17 Expense_Type WIDTH 30 Expense_Amount WIDTH 14 Number_of_Attendees WIDTH 18 Report_ID WIDTH 20 Report_Date WIDTH 12 Comments WIDTH 19 TO "TE_Keyword_Exceptions"

OPEN TE_Keyword_Exceptions

