COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF

COMMENT ** Analysis **

COMMENT ** Test 1 Purchase Agents with most weekend transactions

OPEN Purchase_Orders
CLASSIFY ON Purchase_Agent ACCUMULATE Total_Price TO "PO_Weekends_By_Agent" TOP ALL IF Weekend( Purchase_Date )

OPEN PO_Weekends_By_Agent

COMMENT ** Test 2 Summary by Purchase Agent and Month

OPEN Purchase_Orders
DEFINE FIELD c_PO_Month COMPUTED Cmon( Purchase_Date , 9)
CROSSTAB ON Purchase_Agent COLUMNS  c_PO_Month AS 'Product_Number' ACCUMULATE Total_Price TO "PO_Crosstab_By_Agent_Month"

OPEN PO_Crosstab_By_Agent_Month
